<div id="discount-create">
  <div class="flex items-center justify-between">
    <div class="flex items-center">
      <nuxt-link to="/admin/discounts" class="text-decoration-none">
        <p class="mb-0 font-medium leading-6 text-content-main">Discount</p>
      </nuxt-link>
      <v-icon class="mx-3" color="#6B7280"> mdi-chevron-right </v-icon>
      <p class="mb-0 font-semibold leading-6 text-content-main capitalize">
        {{discount.code}}
      </p>
    </div>
  </div>
  <div class="mt-4 md:flex items-center justify-between">
    <p class="mb-0 text-lg font-semibold text-content-main">
      Update Discount Code
    </p>
    <div class="flex justify-end mt-2 mt-md-0">
      <v-btn
        class="elevation-0 px-7 !bg-button"
        height="44"
        @click="onUpdate()"
        :disabled="loading"
      >
        <v-progress-circular
          v-if="loading"
          size="18"
          indeterminate
          color="#076CE3"
        >
        </v-progress-circular>
        <div class="d-flex align-center" v-else>
          <p class="mb-0 fsize-16 text-capitalize white--text">Save Changes</p>
        </div>
      </v-btn>
    </div>
  </div>
  <div class="mt-4" id="hideBottomInput">
    <div class="grid grid-cols-12 gap-6">
      <div class="col-span-12 md:col-span-9">
        <div class="bg-white rounded-md shadow p-4">
          <p class="mb-0 font-semibold text-content-main text-sm">
            Discount Name
          </p>
          <v-text-field
            dense
            outlined
            v-model.trim="discount.code"
            placeholder="e.g NEWYEARSALE"
            class="mt-2"
          ></v-text-field>
          <div class="mt-4 sm:flex items-center justify-between">
            <div>
              <p class="mb-0 text-content-main text-sm font-semibold">
                Active Discount
              </p>
              <span class="text-content-subtitle text-sm">
                If you switch this off while the discount is running, it will
                immediately stop the discount
              </span>
            </div>
            <v-switch
              inset
              v-model="discount.status"
              @click="onSwitch(discount.status)"
            ></v-switch>
          </div>
        </div>
        <div class="bg-white rounded-md shadow p-4 mt-4">
          <p class="mb-0 font-semibold text-content-main text-sm">
            Type of Discount:
          </p>
          <v-radio-group v-model="discount.discountType">
            <v-radio label="Percent" value="1"></v-radio>
            <v-radio label="Fixed Amount" value="2"></v-radio>
            <v-radio label="FreeShip" value="3"></v-radio>
          </v-radio-group>
          <div class="mt-4" v-if="discount.discountType !== '3'">
            <p class="mb-0 font-semibold text-content-main text-sm">
              Discount Value
            </p>
            <v-text-field
              dense
              outlined
              v-model.number="discount.discount"
              placeholder="Enter a number here"
              class="mt-2"
              :suffix="discount.discountType === '1' ? 'Percent %' : ''"
              :prefix="discount.discountType === '2' ? '$' : ''"
            ></v-text-field>
          </div>
        </div>
        <div class="bg-white rounded-md shadow p-4 mt-4">
          <p class="mb-0 text-content-main text-xs">
            Discount only applied when an order matches these conditions.
            <br />
            If you leave these field empty, discount will be applied without any
            conditions.
          </p>
          <div class="mt-4">
            <p class="mb-0 font-semibold text-content-main text-sm">
              Minimum purchase amount Required
            </p>
            <v-text-field
              dense
              outlined
              v-model.number="discount.minAmount"
              placeholder="Enter a number here"
              class="mt-2"
              prefix="$"
            ></v-text-field>
          </div>
          <div class="mt-4">
            <p class="mb-0 font-semibold text-content-main text-sm">
              Minimum quantity of items
            </p>
            <v-text-field
              dense
              outlined
              v-model.number="discount.minQuantity"
              placeholder="Enter a number here"
              class="mt-2"
            ></v-text-field>
          </div>
        </div>
        <div class="bg-white rounded-md shadow p-4 mt-4">
          <p class="mb-0 font-semibold text-content-main text-sm">
            Discount Active Time
          </p>
          <p class="mb-0 font-semibold text-content-main text-sm mt-4">
            Start Date & Time
          </p>
          <div class="mt-4 flex items-center justify-between gap-1">
            <v-menu
              v-model="dateStartPicker"
              :close-on-content-click="false"
              nudge-bottom="10px"
              style="position: relative; z-index: 999"
              transition="scale-transition"
              offset-y
              min-width="auto"
            >
              <template v-slot:activator="{ on, attrs }">
                <v-text-field
                  v-model="dateStart"
                  dense
                  readonly
                  dense
                  outlined
                  v-bind="attrs"
                  v-on="on"
                  prepend-inner-icon="mdi-calendar"
                >
                </v-text-field>
              </template>
              <v-date-picker
                v-model="dateStart"
                @input="dateStartPicker = false"
                style="position: relative; z-index: 999"
              ></v-date-picker>
            </v-menu>
            <v-menu
              ref="menuStartTime"
              v-model="menuTimePickerStart"
              :close-on-content-click="false"
              right
              nudge-bottom="10px"
              :return-value.sync="timePickerStart"
              transition="scale-transition"
              offset-y
              max-width="290px"
              min-width="290px"
            >
              <template v-slot:activator="{ on, attrs }">
                <v-text-field
                  v-model="timePickerStart"
                  dense
                  outlined
                  prepend-inner-icon="mdi-clock-time-four-outline"
                  readonly
                  v-bind="attrs"
                  v-on="on"
                >
                </v-text-field>
              </template>
              <v-time-picker
                v-if="menuTimePickerStart"
                v-model="timePickerStart"
                full-width
                @click:minute="$refs.menuStartTime.save(timePickerStart)"
              >
              </v-time-picker>
            </v-menu>
          </div>
          <div class="mt-4">
            <v-checkbox
              class="mt-0"
              label="Set End Date & Time"
              v-model="isShowDateEnd"
            ></v-checkbox>
          </div>
          <div class="mt-4" v-if="isShowDateEnd">
            <p class="mb-0 font-semibold text-content-main text-sm mt-4">
              End Date & Time
            </p>
            <div class="mt-2 flex items-center justify-between gap-1">
              <v-menu
                v-model="dateEndPicker"
                :close-on-content-click="false"
                nudge-bottom="10px"
                style="position: relative; z-index: 999"
                transition="scale-transition"
                offset-y
                min-width="auto"
              >
                <template v-slot:activator="{ on, attrs }">
                  <v-text-field
                    v-model="dateEnd"
                    dense
                    readonly
                    dense
                    outlined
                    v-bind="attrs"
                    v-on="on"
                    prepend-inner-icon="mdi-calendar"
                  >
                  </v-text-field>
                </template>
                <v-date-picker
                  v-model="dateEnd"
                  @input="dateEndPicker = false"
                  style="position: relative; z-index: 999"
                ></v-date-picker>
              </v-menu>
              <v-menu
                ref="menuEndTime"
                v-model="menuTimePickerEnd"
                :close-on-content-click="false"
                right
                nudge-bottom="10px"
                :return-value.sync="timePickerEnd"
                transition="scale-transition"
                offset-y
                max-width="290px"
                min-width="290px"
              >
                <template v-slot:activator="{ on, attrs }">
                  <v-text-field
                    v-model="timePickerEnd"
                    dense
                    outlined
                    prepend-inner-icon="mdi-clock-time-four-outline"
                    readonly
                    v-bind="attrs"
                    v-on="on"
                  >
                  </v-text-field>
                </template>
                <v-time-picker
                  v-if="menuTimePickerEnd"
                  v-model="timePickerEnd"
                  full-width
                  @click:minute="$refs.menuEndTime.save(timePickerEnd)"
                >
                </v-time-picker>
              </v-menu>
            </div>
          </div>
        </div>
      </div>
      <div class="col-span-12 md:col-span-3">
        <div class="bg-white rounded-md shadow p-4">
          <p class="mb-0 font-semibold text-content-main text-lg">
            Discount Summary
          </p>
          <div class="mt-2 py-6 px-2 bg-gray-100 rounded-md">
            <p class="text-sm font-semibold text-content-main uppercase">
              Code: {{discount.code}}
            </p>
            <div class="mt-4">
              <p class="mb-0 text-gray-800 text-sm font-normal mt-2">
                <span v-if="discount.discountType === '1'">
                  {{discount.discount}}% Off Specific Seller
                </span>
                <span v-if="discount.discountType === '2'">
                  ${{discount.discount}} Off Specific Seller
                </span>
                <span v-if="discount.discountType === '3'">
                  Free Shipping
                </span>
                <br />
                Applied For everyone
              </p>
            </div>
            <div class="mt-4">
              <p class="mb-0 text-sm text-content-main">Start Date:</p>
              <div class="flex items-center">
                <v-icon color="black" size="8"> mdi-circle </v-icon>
                <p class="mb-0 ml-2 text-sm text-content-main">
                  {{dateStart}}, {{timePickerStart}}
                </p>
              </div>
              <div v-if="isShowDateEnd">
                <p class="mb-0 text-sm text-content-main">End Date:</p>
                <div class="flex items-center">
                  <v-icon color="black" size="8"> mdi-circle </v-icon>
                  <p class="mb-0 ml-2 text-sm text-content-main">
                    {{dateEnd}}, {{timePickerEnd}}
                  </p>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <v-row justify="center">
    <v-dialog v-model="dialogDisable" max-width="360" persistent>
      <v-card class="pa-0">
        <div class="d-flex align-center justify-space-between p-4">
          <p class="mb-0 fsize-18 text-content-main font-semibold">
            Disable Discount Code
          </p>
          <v-btn
            color="#949494"
            @click="onCancelDisable()"
            icon
            small
            :disabled="loading"
          >
            <v-icon color="#949494" size="20"> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider class="mb-6"></v-divider>
        <div class="px-4">
          <p class="mb-0 !text-sm text-content-main">
            When you switch off this discount, your discount will be stopped and
            can’t be used by customer or seller. Do you want to proceed?
          </p>
        </div>
        <v-divider class="my-6"></v-divider>
        <div class="pb-8 px-4 d-flex align-center justify-end gap-4">
          <v-btn
            outlined
            text
            @click="onCancelDisable()"
            class="!capitalize elevation-0"
            :disabled="loadingDisable"
          >
            Cancel
          </v-btn>
          <v-btn
            class="!capitalize elevation-0 !bg-bg-error border border-solid !border-border-destructive"
            @click="onDisable()"
            :disabled="loadingDisable"
          >
            <v-progress-circular
              v-if="loadingDisable"
              size="18"
              indeterminate
              color="#076CE3"
            >
            </v-progress-circular>
            <span v-else class="text-content-destructive"> Disable </span>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>
